DOSBOOT(8)

NAME
dosboot - boot NetBSD/x86 from DOS

SYNOPSIS
dosboot [-u] [-c command] [-i] [path [-adqsv]]

DESCRIPTION
dosboot is an MS-DOS program. It is a boot loader for NetBSD/x86 designed to permit NetBSD to be booted directly from MS-DOS. By default, it boots a file with name NETBSD in the current MS-DOS directory. dosboot shares common code with the standard boot loader, x86/boot(8).

The recognized options are:

-c  Execute command (see below).

-i  Enter interactive mode. dosboot will present a prompt, allowing input of commands (see below).

-u  Boot from a UFS file system instead of an MS-DOS file system.

path
    Specifies the kernel file. In MS-DOS mode (default) a normal MS-DOS filename (with or without drive specification) is accepted. In UFS mode (after -u or after a mode ufs command), a path in a NetBSD file system is expected. By default, the file is looked up in partition ‘a’ of the first hard disk. Another device or partition can be specified by prepending a block device name in terms of NetBSD, followed by a colon (see x86/boot(8) and examples).

-1234abcdmqsvxz
    Flags passed to the kernel, see x86/boot(8).

See x86/boot(8) for commands accepted after the -c flag or in interactive mode.

dosboot is also installed in the release(7) hierarchy, under installation/misc/dosboot.com.

FILES
/usr/mdec/dosboot.com

EXAMPLES
To boot a NetBSD kernel located on MS-DOS drive D, one would issue:

    dosboot D:\NODOS\NETBSD

To boot from a NetBSD floppy into single user mode, type e.g.:

    dosboot -u fd0a:netbsd -s

SEE ALSO
release(7), x86/boot(8)

HISTORY
The NetBSD/x86 dosboot command first appeared in NetBSD 1.3.

BUGS
dosboot assumes that the processor is in real mode at startup. It does not work well in the presence of MS-DOS extenders and memory managers.

dosboot does not run directly under Windows 95.

In UFS mode, files can only be loaded from devices known to the BIOS. The device names do not necessarily comply with the names later used by the booted NetBSD kernel.

In MS-DOS mode, no useful boot device specification is passed to NetBSD. It is necessary to have the root device hardwired into the kernel configuration or to enter it manually.